[
  {
    "id": "bssapp-deploy",
    "execute-command": "/bin/bash",
    "command-working-directory": "/opt/bssapp",
    "pass-arguments-to-command": [
      {
        "source": "string",
        "name": "/opt/bssapp/deploy/deploy.sh"
      }
    ],
    "trigger-rule": {
      "or": [
        {
          "match": {
            "type": "value",
            "value": "Bearer bssapp-secret-2026",
            "parameter": {
              "source": "header",
              "name": "Authorization"
            }
          }
        },
        {
          "match": {
            "type": "value",
            "value": "bssapp-secret-2026",
            "parameter": {
              "source": "header",
              "name": "Authorization"
            }
          }
        },
        {
          "match": {
            "type": "value",
            "value": "X-BSSAPP-SECRET: bssapp-secret-2026",
            "parameter": {
              "source": "header",
              "name": "Authorization"
            }
          }
        },
        {
          "match": {
            "type": "value",
            "value": "bssapp-secret-2026",
            "parameter": {
              "source": "header",
              "name": "X-BSSAPP-SECRET"
            }
          }
        }
      ]
    }
  }
]
